#include "engine_app.h"

class ExamplesApp : public engine::EngineApp
{
public:
	void setup() override
	{
		auto t = time(0);
		srand(t);

		utils::setCursorVisible(false);

		engine::EngineApp::setup();
		
		engine::SceneDesc desc = {};
		desc.m_funcID = hash<std::string>("generic");
		desc.m_filename = "data/scenes/main_menu.scene";
		m_engine->loadScene(desc);
	}

	void processInput(std::vector<utils::InputEvent>& events) override
	{
		EngineApp::processInput(events);
	}
};

App* createApp(const AppDesc& desc)
{
	ExamplesApp* app = memNew<ExamplesApp>();
	*(AppDesc*)app = desc;
	return app;
}